Subject: Re: gcc2-2.95.3-7 uploaded
From: Charles Wilson <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jul 2002 11:00:47 -0400
Newsgroups: gmane.os.cygwin

Christopher Faylor wrote:

>>Unfortunately, that didn't work either.  So there's some problem with 
>>the C++ headers and 'g++-2 -mno-cygwin'
>>
> 
> Ok, looks like I really did need that /usr/include/mingw/_G_config.h file.
> The problem is that if I include it here for the gcc-2 compilations, it conflicts
> with the version that is used in gcc 3.

Ooo.  Not good.

> This was one of those "Meant to get around to it" problems.  I shouldn't even
> have released either gcc package without fixing this one.  Sigh.

Hey, this is what *test* releases are FOR.

>>(*) first off, that *can't* be right, can it?  shouldn't the C++ headers 
>>be installed in /usr/include/g++-v3/, not /usr/include/c++/3.1.1/ ?
>>
> 
> Right this is the problem that I mentioned on Monday:
> 
> *>I don't see exactly the same errors.  I can't even compile your stuff
> *>with g++.  :-( It appears to be due to --enable-version-specific-runtime-libs,
> *>AFAICT.

Oh - I saw "version-specific-runtime-LIBS" and didn't make the 
connection to header files.  Duh.

> I can fix the gcc 3 problem.  I am not sure to fix the gcc-2 problem.
> 
> *pause*
> 
> No, wait.  I think I can fix this by copying the entire g++-3 directory
> into /usr/include/mingw and putting a _G_config.h there.  It isn't
> pretty, but it should work ok.
> 
> Oh well, powers of two are always lucky.  Here comes gcc2-2.95.3-8.

Fingers crossed.

BTW, was I correct about the C++ ABI?  Currently, the only DLL with true 
C++ exports(*) is libncurses6++; will that be usable with gcc-3.1.1, or 
will I need to release a new version?

(*) cygwin itself is the only other C++ DLL -- but all of its exports 
are non-mangled...

--Chuck

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/